<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__pll__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_pll_config_t</compoundname>
    <includes local="no">cy_sysclk.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__pll__config__t_1a59a07c9da77be2b4b82a5448c5198e23" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_pll_config_t::inputFreq</definition>
        <argsstring />
        <name>inputFreq</name>
        <briefdescription>
<para>frequency of PLL source, in Hz </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1048" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1048" />
      </memberdef>
      <memberdef id="structcy__stc__pll__config__t_1a7dc6ebb635cc86d5895c38839c2f7b12" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_pll_config_t::outputFreq</definition>
        <argsstring />
        <name>outputFreq</name>
        <briefdescription>
<para>frequency of PLL output, in Hz </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1049" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1049" />
      </memberdef>
      <memberdef id="structcy__stc__pll__config__t_1a3dc5e0d1ec6da25c55deaf10fccad2ef" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_pll_config_t::lfMode</definition>
        <argsstring />
        <name>lfMode</name>
        <briefdescription>
<para>CLK_PLL_CONFIG register, PLL_LF_MODE bit. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1050" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1050" />
      </memberdef>
      <memberdef id="structcy__stc__pll__config__t_1ac2a175b4b9836e20035f26c91e0f72f9" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysclk__fll__enums_1ga777e08424e26c9cd8c2602b2114e716b">cy_en_fll_pll_output_mode_t</ref></type>
        <definition>cy_en_fll_pll_output_mode_t cy_stc_pll_config_t::outputMode</definition>
        <argsstring />
        <name>outputMode</name>
        <briefdescription>
<para>CLK_PLL_CONFIG register, BYPASS_SEL bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1051" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1051" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure containing information for configuration of a PLL. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1052" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1046" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1047" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__pll__config__t_1a59a07c9da77be2b4b82a5448c5198e23" virt="non-virtual"><scope>cy_stc_pll_config_t</scope><name>inputFreq</name></member>
      <member prot="public" refid="structcy__stc__pll__config__t_1a3dc5e0d1ec6da25c55deaf10fccad2ef" virt="non-virtual"><scope>cy_stc_pll_config_t</scope><name>lfMode</name></member>
      <member prot="public" refid="structcy__stc__pll__config__t_1a7dc6ebb635cc86d5895c38839c2f7b12" virt="non-virtual"><scope>cy_stc_pll_config_t</scope><name>outputFreq</name></member>
      <member prot="public" refid="structcy__stc__pll__config__t_1ac2a175b4b9836e20035f26c91e0f72f9" virt="non-virtual"><scope>cy_stc_pll_config_t</scope><name>outputMode</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>